## wxwidgets2.5 2.5.3.2ubuntu4

=== debian/changelog ===
wxwidgets2.5 (2.5.3.2ubuntu4) hoary; urgency=low

  * Fix missing wx/archive.h header in wx2.5-headers.  Thanks,
    Werner Mahr!  Closes: Ubuntu#8316 and Debian#294998.

 -- Daniel T Chen <crimsun@fungus.sh.nu>  Mon, 28 Mar 2005 19:44:26 -0500

wxwidgets2.5 (2.5.3.2ubuntu3) hoary; urgency=low

  * Fix FTBFS on ppc using upstream cvs revisions 1.{897,908} to
    configure.in.  Add autoconf to debian/control:Build-Depends;
    run autoconf in debian/rules.  Closes: Debian#285186.

 -- Daniel T Chen <crimsun@fungus.sh.nu>  Wed, 23 Mar 2005 20:01:57 -0500

wxwidgets2.5 (2.5.3.2ubuntu2) hoary; urgency=low

  * overlooked a python2.3 reference (damm!)

 -- Michael Vogt <mvo@debian.org>  Thu,  6 Jan 2005 09:43:24 +0100

wxwidgets2.5 (2.5.3.2ubuntu1) hoary; urgency=low

  * rebuild against python2.4

 -- Michael Vogt <mvo@debian.org>  Wed,  5 Jan 2005 00:17:27 +0100

wxwidgets2.5 (2.5.3.2) unstable; urgency=low

  * This time, really now.
    A snapshot that is actually ready for wider release.
    Thanks to all who've been patient.  We know who you are.
  * Update path to wxPython site-packages, build them with
    --no_rpath since we will install the in tree build.

 -- Ron Lee <ron@debian.org>  Thu, 11 Nov 2004 11:01:00 +1030

wxwidgets2.5 (2.5.3.1) unstable; urgency=low

  * Functioning concurrent installs for both the C++ libs
    and wxPython along with legacy support for existing 2.4
    users mean we can now safely introduce this release to
    unstable without an adverse effect on existing users.

 -- Ron Lee <ron@debian.org>  Sun, 31 Oct 2004 15:54:46 +1030

wxwidgets2.5 (2.5.3.0) experimental; urgency=low

  * Experimental prerelease.

 -- Ron Lee <ron@debian.org>  Wed, 22 Sep 2004 03:29:56 +0930

wxwidgets2.5 (2.5.2.3) experimental; urgency=low

  * Greatly improved concurrent installs.  We can now install
    a much wider range of builds without conflicting and select
    between them without the need to go changing symlinks or
    the suite of applications you have installed.
  * Contrib is dead.  Long live contrib.
    Better multi-library builds have made contrib more or less
    obsolete.  This is the big crunch before the boom.  Everything
    useful out of contrib has been moved back into the main package.
    Later we will split many out again along the lines of shared
    dependencies, so a minimal wx install really can remain minimal
    without losing any future potential.

 -- Ron Lee <ron@debian.org>  Sat, 18 Sep 2004 00:59:01 +0930

wxwidgets2.5 (2.5.1.1) experimental; urgency=low

  * The s/ndow/dget/g release.
  * Yes, the name has changed and the terrorists have won again.
    Having a name too similar to Lindows apparently makes us a
    liability to the illusion their assailants will want to project
    in court.  Eleven or so years of unbroken, unquestioned usage
    was not nearly so interesting to these people as the fact we
    were a soft target and easy to deprive of due process.
  * wxGTK is now built with gtk2 and unicode support.
  * wxBase is no longer a separate package, it is built with the
    GUI libs which now depend on it.  We might split it out again
    one day if there is a need for that.
  * Added support for GNU/K*BSD (thanks again to Robert Millan).
  * Non-core functionality is now provided by separate libraries
    rather than simply being built into a single behemoth unit.
    Of course, given the way these things work, almost none of
    them are actually smaller, and the load time is unlikely to
    improve either, but the logical separation may be beneficial.
  * Removed many elements of the build scripts that are no longer
    required due to improvements and changes elsewhere.
  * Added README.examples for people who think these are packaged
    as demos instead of as extended documentation.

 -- Ron Lee <ron@debian.org>  Fri, 27 Feb 2004 17:00:29 +1030

wxwindows2.5 (2.5.0) unstable; urgency=low

  * New beginnings.  Back to development flavored chaos again.

 -- Ron Lee <ron@debian.org>  Thu, 19 Dec 2002 01:08:50 -0800

wxwindows2.4 (2.4.2.6) unstable; urgency=high

  * High urgency so as not to reset the shotclock for getting wx and
    its deps moving into testing.  All changes since the last release
    are superficial.
  * Reapply HURD/K*BSD patch fragment that should not have been reverted.
    Closes: #217726    (Make a wish, the third time is lucky so I'm told.)
  * Updated .po files.

 -- Ron Lee <ron@debian.org>  Mon,  2 Aug 2004 14:50:07 +0930

wxwindows2.4 (2.4.2.5) unstable; urgency=medium

  * Medium urgency to keep things moving for the libtiff fudge.
  * Switch to dhv4, libtiff4.
  * Fix menu quoting.
  * Whittled down on some of the build config scripts that weren't
    really earning their weight.
  * Check for DISTCC_HOSTS and set the number of make -j jobs according
    to the number of hosts it contains.
  * Purge the .pyc from site-packages/wx too.  They are generated on
    site at install time.
  * Includes type correctness fix for 64bit arch's.  Closes: #197661
  * Merged patches from Robert Millan for HURD/K*BSD support back from
    cvs head.  Closes: #217726
  * Store the python version we preconfigure virgin source with, then
    people don't need the default python package installed to build
    from source, just the packages declared in the build-deps.  Fix
    the -python postinst to use this when byte compiling too.
    Closes: #259128  (and fixes #258529)
  * Added README.examples to explain that these examples are extended
    documentation for coders, rather than trial apps for users.
    Closes: #212894
  * Dropped the examples from the demos subdir, the samples cover a lot
    more ground than they used to and are generally more up to date,
    it's also no longer hard to find a broad range of real applications
    with source.  Provided more external pointers in the README.
    Closes: #258530 after discussion with the submitter.  This is a bit

