=== debian/control ===
Source: wxwidgets2.5
Section: libs
Priority: optional
Build-Depends: debhelper (>=4.0), flex, bison, gettext, libgtk2.0-dev, python2.4, python2.4-dev, zlib1g-dev, libjpeg62-dev, libpng12-dev, libtiff4-dev, xlibmesa-gl-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev, libesd0-dev, autoconf
Maintainer: Ron Lee <ron@debian.org>
Standards-Version: 3.6.1.1

Package: libwxgtk2.5.3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the shared libraries needed to run programs linked
 against wxWidgets.  To use the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed.

Package: libwxgtk2.5-dev
Architecture: any
Section: libdevel
Depends: wx2.5-headers (= ${Source-Version}), libwxgtk2.5.3 (= ${Source-Version}), libc6-dev
Suggests: wx2.5-common | wx-common, wx2.5-doc, libstdc++-dev, gettext, xlibmesa-gl-dev | libgl-dev, xlibmesa-glu-dev | libglu-dev
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides files needed to compile wxWidgets programs.  If you
 want to compile apps using the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed too.

Package: libwxgtk2.5-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: wx2.5-headers (= ${Source-Version}), libc6-dev
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides a debug version of the wxGTK library.  It is compiled
 both with -g for normal debugger tracing and with the __WXDEBUG__ flag which
 provides many internal checks by wxWidgets itself that are not performed on
 apps compiled with the 'release version' libs in the -dev package.

Package: libwxgtk2.5.3-python
Architecture: any
Section: python
Depends: wxpython, python2.4, ${shlibs:Depends}
Description: wxWidgets Cross-platform C++ GUI toolkit (wxPython binding)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides a Python binding to the wxGTK library and the
 wxPython runtime support libraries.  If you wish to use xrc you'll also
 need the python2.4-xml package installed.

Package: libwxgtk2.5.3-dbg-python
Architecture: any
Section: python
Depends: wxpython, python2.4, ${shlibs:Depends}
Description: wxWindows Cross-platform C++ GUI toolkit (wxPython binding)
 wxWindows is a class library for C++ providing GUI (Graphical User
 Interface) and other facilities on more than one platform.  Version 2.5
 currently supports subsets of GTK+, Motif, and MS Windows.
 .
 This package provides a Python binding to the wxGTK debug library.
 It is useful for developers as many common errors may be caught, but
 you should _never_ upload packages to Debian that depend upon this
 package explicitly, use the libwxgtk2.5.3-python package instead.
 .
 If you wish to use xrc you'll also need the python2.4-xml package installed.

Package: wxpython2.5.3
Architecture: any
Section: python
Depends: libwxgtk2.5.3-python, python2.4, ${shlibs:Depends}
Suggests: wxwin2.5-doc, wxwin2.5-examples, python2.4-xml
Conflicts: wxpython
Replaces: wxpython, libwxgtk2.4-python
Provides: wxpython
Description: wxWidgets Cross-platform C++ GUI toolkit (wxPython common files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides support utilities and common files for wxPython2.5.3.
 If you wish to use xrced you'll also need the python2.4-xml package installed.

Package: wx2.5-common
Architecture: any
Section: devel
Depends: ${shlibs:Depends}
Conflicts: wx-common
Replaces: wx-common, wxwin2.4-headers, libwxgtk2.4-contrib-dev
Provides: wx-common
Description: wxWidgets Cross-platform C++ GUI toolkit (common support files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides common support files not bound to any
 particular wxWidgets release, such as font metrics required by some
 ports, and miscellaneous developer aids and binary utilities.

Package: wx2.5-headers
Architecture: any
Section: devel
Description: wxWidgets Cross-platform C++ GUI toolkit (header files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the common header files required to build applications
 using the wxWidgets toolkit.

Package: wx2.5-i18n
Architecture: all
Section: libs
Conflicts: wx-i18n, wxwin-i18n
Replaces: wx-i18n, wxwin-i18n
Provides: wx-i18n
Description: wxWidgets Cross-platform C++ GUI toolkit (i18n support)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides the i18n message catalogs for wxWidgets.

Package: wx2.5-doc
Architecture: all
Section: doc
Provides: wx-doc
Suggests: doc-base, www-browser
Description: wxWidgets Cross-platform C++ GUI toolkit (documentation)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package provides a HTML version of the wxWidgets reference manual.

Package: wx2.5-examples
Architecture: all
Section: devel
Suggests: libwxgtk2.5-dev (= ${Source-Version}), wxwin2.5-doc
Description: wxWidgets Cross-platform C++ GUI toolkit (examples)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).  For more information see http://wxwidgets.org
 .
 This package contains examples of using the wxWidgets toolkit in
 C++ and with the wxPython language binding.

Package: libwxmsw2.5-dev
Architecture: i386
Section: otherosfs
Depends: wx2.5-headers-msw (= ${Source-Version})
Description: wxMSW mingw32msvc-cross
 mingw32msvc-cross wxMSW libs.

Package: libwxmsw2.5-dbg
Architecture: i386
Section: otherosfs
Depends: wx2.5-headers-msw (= ${Source-Version})
Description: wxMSW mingw32msvc-cross (debug)
 mingw32msvc-cross wxMSW libs.
 __WXDEBUG__ version.

Package: wx2.5-headers-msw
Architecture: i386
Section: otherosfs
Depends: wx2.5-headers (= ${Source-Version})
Description: Extra wxWidgets headers for mingw32msvc-cross
 Headers required by the wxWidgets mingw32msvc-cross libraries.
